package model;

import java.io.Serializable;
import java.net.*;

public class Message implements Serializable{

	private static final long serialVersionUID = 1L;
	
	protected InetAddress addressSrc;
	protected InetAddress addressDest;
	protected int portSrc;
	protected int portDest;
	protected int typeMessage;
	
	
	public Message(InetAddress addressSrc, InetAddress addressDest, int portSrc, int portDest, int typeMessage) {
		this.addressSrc = addressSrc;
		this.addressDest = addressDest;
		this.portSrc = portSrc;
		this.portDest = portDest;
		this.typeMessage = typeMessage;
	}


	public InetAddress getAddressSrc() {
		return addressSrc;
	}


	public void setAddressSrc(InetAddress addressSrc) {
		this.addressSrc = addressSrc;
	}


	public InetAddress getAddressDest() {
		return addressDest;
	}


	public void setAddressDest(InetAddress addressDest) {
		this.addressDest = addressDest;
	}


	public int getPortSrc() {
		return portSrc;
	}


	public void setPortSrc(int portSrc) {
		this.portSrc = portSrc;
	}


	public int getPortDest() {
		return portDest;
	}


	public void setPortDest(int portDest) {
		this.portDest = portDest;
	}


	public int getTypeMessage() {
		return typeMessage;
	}


	public void setTypeMessage(int typeMessage) {
		this.typeMessage = typeMessage;
	}
	
	
	
}
